# streamWrapper::dir_opendir

(PHP 4 >= 4.3.2, PHP 5, PHP 7, PHP 8)

streamWrapper::dir_opendir — Ouvre un dossier en lecture

### Description

public streamWrapper::dir_opendir(string `$path`, int `$options`): bool

Cette méthode est appelée en réponse à opendir().

### Liste de paramètres

`path`

  Spécifie l'URL qui a été passée à opendir().

  > Note:

  > L'URL peut être découpée avec parse_url().

`options`

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Voir aussi

- opendir() - Ouvre un dossier, et récupère un pointeur dessus
- streamWrapper::dir_closedir() - Ferme une ressource de dossier
- parse_url() - Analyse une URL et retourne ses composants